@mixin spread-map($map: ()) {
  @each $key, $value in $map {
    #{$key}: $value;
  }
}

@mixin vertical-bar {
  &::after {
    content: '';
    position: absolute;
    left: 2px;
    width: 3px;
    height: calc(100% - 8px);
    background-color: rgb(var(--j-primary-color));
  }
}

@mixin active-color {
  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--j-primary-active-color);
  }
}

@mixin scrollbar {
  overflow: auto;

  /* width */
  &::-webkit-scrollbar {
    width: 8px;
  }

  /* Track */
  &::-webkit-scrollbar-track {
    border-radius: 0;
    background-color: transparent;
  }

  /* Handle */
  &::-webkit-scrollbar-thumb {
    cursor: pointer;
    border-radius: 10px;
    background-color: rgb(195, 195, 195);
  }

  /* Handle on hover */
  &::-webkit-scrollbar-thumb:hover {
    background-color: rgba(91, 95, 199, 0.4);
  }
}

@mixin hide-scrollbar {
  &::-webkit-scrollbar {
    display: none !important;
  }

  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

@mixin line-clamp($lines: 1) {
  display: -webkit-box;
  -webkit-line-clamp: $lines;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@mixin focus-custom-outline {
  content: '';
  position: absolute;
  top: -2px;
  right: -2px;
  bottom: -2px;
  left: -2px;
  border-radius: 4px;
  border: 2px rgb(var(--j-primary-color)) solid;
}